Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.tasks.compile
Class GroovyCompile

    java.lang.Object
      org.gradle.api.internal.AbstractTask
          org.gradle.api.DefaultTask
              org.gradle.api.internal.ConventionTask
                  org.gradle.api.tasks.compile.Compile
                      org.gradle.api.tasks.compile.GroovyCompile

    class GroovyCompile
    extends Compile

author:
  Hans Dockter

Field Summary

Fields inherited from class Compile
antCompile, existentDirsFilter

Constructor Summary
`GroovyCompile(Project project, java.lang.String name)`

Method Summary
`protected void` | `compile(Task task)`
`AntGroovyc` | `getAntGroovyCompile()`
`FileCollection` | `getGroovyClasspath()`
`List` | `getGroovyExcludes()` Returns the exclude patterns for which groovy files should be compiled.
`List` | `getGroovyIncludes()` Return the include patterns for which groovy files should be compiled.
`List` | `getGroovyJavaExcludes()` Returns the exclude patterns for which java files in the joint source folder should be compiled.
`List` | `getGroovyJavaIncludes()` Returns the exclude patterns for which java files in the joint source folder should be compiled.
`GroovyCompileOptions` | `getGroovyOptions()` Gets the options for the groovyc compilation.
`List` | `getGroovySourceDirs()`
`GroovyCompile` | `groovyExclude(java.lang.String groovyExcludes)` Adds exclude patterns for which groovy files should be compiled (e.g. '**F;org/gradle/package2/A*.groovy').
`GroovyCompile` | `groovyInclude(java.lang.String groovyIncludes)` Adds include pattern for which groovy files should be compiled (e.g. '**F;org/gradle/package1/')).
`GroovyCompile` | `groovyJavaExclude(java.lang.String groovyJavaExcludes)` Add exclude patterns for which java files in the joint source folder should be compiled (e.g. '**F;org/gradle/package2/A*.java').
`GroovyCompile` | `groovyJavaInclude(java.lang.String groovyJavaIncludes)` Adds include patterns for which java files in the joint source folder should be compiled (e.g. '**F;org/gradle/package1/')).
`void` | `setAntGroovyCompile(AntGroovyc antGroovyCompile)`
`void` | `setGroovyClasspath(FileCollection groovyClasspath)`
`void` | `setGroovyExcludes(List groovyExcludes)` Sets the exclude patterns for which groovy files should be compiled.
`void` | `setGroovyIncludes(List groovyIncludes)` Sets the include patterns for which groovy files should be compiled.
`void` | `setGroovyJavaExcludes(List groovyJavaExcludes)` Sets excludes patterns for which java files in the joint source folder should be compiled
`void` | `setGroovyJavaIncludes(List groovyJavaIncludes)` Sets include patterns for which java files in the joint source folder should be compiled.
`void` | `setGroovyOptions(GroovyCompileOptions groovyOptions)` Sets the options for the groovyc compilation.
`void` | `setGroovySourceDirs(List groovySourceDirs)`

Methods inherited from class Compile
compile, exclude, exclude, getClasspath, getDestinationDir, getExcludes, getIncludes, getOptions, getSourceCompatibility, getSrcDirs, getTargetCompatibility, include, include, setClasspath, setDestinationDir, setExcludes, setIncludes, setOptions, setSourceCompatibility, setSrcDirs, setTargetCompatibility

Methods inherited from class ConventionTask
conv, conventionMapping, conventionMapping, conventionProperty, getConventionAwareHelper, getConventionMapping, setConventionAwareHelper, setConventionMapping

Methods inherited from class DefaultTask
leftShift, methodMissing, propertyMissing

Methods inherited from class AbstractTask
captureStandardOutput, compareTo, defineProperty, deleteAllActions, dependsOn, dependsOnTaskDidWork, disableStandardOutputCapture, doFirst, doLast, equals, execute, getActions, getAdditionalProperties, getAnt, getConvention, getDependsOn, getDescription, getDidWork, getDynamicObjectHelper, getEnabled, getExecuted, getLogger, getName, getPath, getProject, getSkipProperties, getStandardOutputCapture, getTaskDependencies, hasProperty, hashCode, isDidWork, isEnabled, isExecuted, onlyIf, onlyIf, property, setActions, setAdditionalProperties, setDependsOn, setDescription, setDidWork, setEnabled, setExecuted, setName, setProject, setProperty, setSkipProperties, setStandardOutputCapture, toString

Methods inherited from class java.lang.Object
hashCode, getClass, equals, toString, wait, wait, wait, notify, notifyAll

Constructor Detail

### GroovyCompile

    public GroovyCompile(Project project, java.lang.String name)

Method Detail

### compile

    protected void compile(Task task)

### getAntGroovyCompile

    public AntGroovyc getAntGroovyCompile()

### getGroovyClasspath

    public FileCollection getGroovyClasspath()

### getGroovyExcludes

    public List getGroovyExcludes()

  Returns the exclude patterns for which groovy files should be compiled.

### getGroovyIncludes

    public List getGroovyIncludes()

  Return the include patterns for which groovy files should be compiled.

### getGroovyJavaExcludes

    public List getGroovyJavaExcludes()

  Returns the exclude patterns for which java files in the joint source folder should be compiled.

### getGroovyJavaIncludes

    public List getGroovyJavaIncludes()

  Returns the exclude patterns for which java files in the joint source folder should be compiled.

### getGroovyOptions

    public GroovyCompileOptions getGroovyOptions()

  Gets the options for the groovyc compilation. To set specific options for the nested javac compilation, use #getOptions().

### getGroovySourceDirs

    public List getGroovySourceDirs()

### groovyExclude

    public GroovyCompile groovyExclude(java.lang.String groovyExcludes)

  Adds exclude patterns for which groovy files should be compiled (e.g. '**F;org/gradle/package2/A*.groovy'). This pattern is added as an nested exclude the groovyc task.
  param:
    groovyExcludes The exclude patterns
  return:
    this

### groovyInclude

    public GroovyCompile groovyInclude(java.lang.String groovyIncludes)

  Adds include pattern for which groovy files should be compiled (e.g. '**F;org/gradle/package1/')). This pattern is added as an nested include the groovyc task.
  param:
    groovyIncludes The include patterns
  return:
    this

### groovyJavaExclude

    public GroovyCompile groovyJavaExclude(java.lang.String groovyJavaExcludes)

  Add exclude patterns for which java files in the joint source folder should be compiled (e.g. '**F;org/gradle/package2/A*.java'). This pattern is added as a nested exclude to the nested javac task of the groovyc task.
  param:
    groovyJavaExcludes The exclude patterns

### groovyJavaInclude

    public GroovyCompile groovyJavaInclude(java.lang.String groovyJavaIncludes)

  Adds include patterns for which java files in the joint source folder should be compiled (e.g. '**F;org/gradle/package1/')). This pattern is added as a nested include to the nested javac task of the groovyc task.
  param:
    groovyJavaIncludes The include patterns

### setAntGroovyCompile

    public void setAntGroovyCompile(AntGroovyc antGroovyCompile)

### setGroovyClasspath

    public void setGroovyClasspath(FileCollection groovyClasspath)

### setGroovyExcludes

    public void setGroovyExcludes(List groovyExcludes)

  Sets the exclude patterns for which groovy files should be compiled.
  param:
    groovyExcludes The patterns to exclude
  see:
    #groovyExclude(String[])

### setGroovyIncludes

    public void setGroovyIncludes(List groovyIncludes)

  Sets the include patterns for which groovy files should be compiled.
  param:
    groovyIncludes The patterns to include
  see:
    #groovyInclude(String[])

### setGroovyJavaExcludes

    public void setGroovyJavaExcludes(List groovyJavaExcludes)

  Sets excludes patterns for which java files in the joint source folder should be compiled
  param:
    groovyJavaExcludes The exclude pattern
  see:
    #groovyJavaExclude(String[]) The exclude patterns

### setGroovyJavaIncludes

    public void setGroovyJavaIncludes(List groovyJavaIncludes)

  Sets include patterns for which java files in the joint source folder should be compiled.
  param:
    groovyJavaIncludes The exclude pattern
  see:
    #groovyInclude(String[]) The include patterns

### setGroovyOptions

    public void setGroovyOptions(GroovyCompileOptions groovyOptions)

  Sets the options for the groovyc compilation. To set specific options for the nested javac compilation, use #getOptions(). Usually you don't set the options, but you modify the existing instance provided by #getGroovyOptions()
  param:
    groovyOptions

### setGroovySourceDirs

    public void setGroovySourceDirs(List groovySourceDirs)

Groovy Documentation